﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Windows.Documents;
using System.Windows.Media;
using System.Windows;

namespace SyncfusionGDC
{
    class ViewModel : INotifyPropertyChanged
    {
        EmployeeDetails emp = new EmployeeDetails();

        public ViewModel()
        {
            this.GDCSource = emp;
        }

        private ObservableCollection<BusinessObjects> gdcsource;
        public ObservableCollection<BusinessObjects> GDCSource
        {
            get
            {
                return gdcsource;
            }
            set
            {
                gdcsource = value;
                OnPropertyChanged("GDCSource");
            }
        }

         public event PropertyChangedEventHandler PropertyChanged;

        private void OnPropertyChanged(string propertyName)
        {
            if (PropertyChanged != null)
                PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
        }

      
    }

   
    class EmployeeDetails : ObservableCollection<BusinessObjects>
    {
        Random rand = new Random();
        public EmployeeDetails()
        {
            PopulateCollection();
        }

        private void PopulateCollection()
        {  
            this.Clear();
            BusinessObjects b = new BusinessObjects() { EmployeeId = 1001, EmployeeName = "Aunip ", EmployeeAge = 22, EmployeeArea = "USA", EmployeeStatus = false, EmployeeDesignation = "Product Manager", EmployeeSalary = 1200, ExperienceInMonth = 10, EmployeeDOB = DateTime.Now, EmployeeGender = "Male" };
            this.Add(b);
            b = new BusinessObjects() { EmployeeId = 1002, EmployeeName = "karnan ", EmployeeAge = 21, EmployeeArea = "UK", EmployeeStatus = true, EmployeeDesignation = "Junior Architect", EmployeeSalary = 1200, ExperienceInMonth = 10, EmployeeDOB = DateTime.Now, EmployeeGender = "Male" };
            this.Add(b);
            b = new BusinessObjects() { EmployeeId = 1003, EmployeeName = "rebgthi ", EmployeeAge = 20, EmployeeArea = "UAE", EmployeeStatus = false, EmployeeDesignation = "Team Lead", EmployeeSalary = 1200, ExperienceInMonth = 10, EmployeeDOB = DateTime.Now, EmployeeGender = "Male" };
            this.Add(b);
            b = new BusinessObjects() { EmployeeId = 1004, EmployeeName = "edwin ", EmployeeAge = 20, EmployeeArea = "USA", EmployeeStatus = true, EmployeeDesignation = "Genreral Manager", EmployeeSalary = 1200, ExperienceInMonth = 10, EmployeeDOB = DateTime.Now, EmployeeGender = "Male" };
            this.Add(b);
            b = new BusinessObjects() { EmployeeId = 1005, EmployeeName = " gopi", EmployeeAge = 22, EmployeeArea = "India", EmployeeStatus = true, EmployeeDesignation = "Sales Engineer", EmployeeSalary = 1200, ExperienceInMonth = 10, EmployeeDOB = DateTime.Now, EmployeeGender = "Male" };
            this.Add(b);
            b = new BusinessObjects() { EmployeeId = 1006, EmployeeName = "david ", EmployeeAge = 23, EmployeeArea = "UK", EmployeeStatus = false, EmployeeDesignation = "Senior Architect", EmployeeSalary = 1200, ExperienceInMonth = 10, EmployeeDOB = DateTime.Now, EmployeeGender = "Female" };
            this.Add(b);
            b = new BusinessObjects() { EmployeeId = 1007, EmployeeName = "Mahesh", EmployeeAge = 22, EmployeeArea = "UK", EmployeeStatus = true, EmployeeDesignation = "Test Engineer", EmployeeSalary = 1200, ExperienceInMonth = 10, EmployeeDOB = DateTime.Now, EmployeeGender = "Male" };
            this.Add(b);
            b = new BusinessObjects() { EmployeeId = 1008, EmployeeName = "Ruby", EmployeeAge = 22, EmployeeArea = "UK", EmployeeStatus = true, EmployeeDesignation = "Co-Ordinator", EmployeeSalary = 1200, ExperienceInMonth = 10, EmployeeDOB = DateTime.Now, EmployeeGender = "Female" };
            this.Add(b);
            b = new BusinessObjects() { EmployeeId = 1009, EmployeeName = "Christain", EmployeeAge = 21, EmployeeArea = "India", EmployeeStatus = false, EmployeeDesignation = "Human Resource", EmployeeSalary = 1200, ExperienceInMonth = 10, EmployeeDOB = DateTime.Now, EmployeeGender = "Male" };
            this.Add(b);
            b = new BusinessObjects() { EmployeeId = 1010, EmployeeName = "Aravind", EmployeeAge = 20, EmployeeArea = "India", EmployeeStatus = true, EmployeeDesignation = "Senior Architect", EmployeeSalary = 1200, ExperienceInMonth = 10, EmployeeDOB = DateTime.Now, EmployeeGender = "Male" };
            this.Add(b);
            b = new BusinessObjects() { EmployeeId = 1011, EmployeeName = "Daniel", EmployeeAge = 22, EmployeeArea = "USA", EmployeeStatus = false, EmployeeDesignation = "Product Manager", EmployeeSalary = 1200, ExperienceInMonth = 10, EmployeeDOB = DateTime.Now, EmployeeGender = "Male" };
            this.Add(b);
            b = new BusinessObjects() { EmployeeId = 1012, EmployeeName = "Suhitha Azar", EmployeeAge = 21, EmployeeArea = "UK", EmployeeStatus = true, EmployeeDesignation = "Junior Architect", EmployeeSalary = 1200, ExperienceInMonth = 10, EmployeeDOB = DateTime.Now, EmployeeGender = "Female" };
            this.Add(b);
            b = new BusinessObjects() { EmployeeId = 1013, EmployeeName = "Praveen", EmployeeAge = 20, EmployeeArea = "UAE", EmployeeStatus = false, EmployeeDesignation = "Team Lead", EmployeeSalary = 1200, ExperienceInMonth = 10, EmployeeDOB = DateTime.Now, EmployeeGender = "Male" };
            this.Add(b);
            b = new BusinessObjects() { EmployeeId = 1014, EmployeeName = "Stephen", EmployeeAge = 20, EmployeeArea = "USA", EmployeeStatus = true, EmployeeDesignation = "Genreral Manager", EmployeeSalary = 1200, ExperienceInMonth = 10, EmployeeDOB = DateTime.Now, EmployeeGender = "Male" };
            this.Add(b);
            b = new BusinessObjects() { EmployeeId = 1015, EmployeeName = "Asha Joseph", EmployeeAge = 22, EmployeeArea = "India", EmployeeStatus = true, EmployeeDesignation = "Sales Engineer", EmployeeSalary = 1200, ExperienceInMonth = 10, EmployeeDOB = DateTime.Now, EmployeeGender = "Female" };
            this.Add(b);
            b = new BusinessObjects() { EmployeeId = 1016, EmployeeName = "Clarke", EmployeeAge = 23, EmployeeArea = "UK", EmployeeStatus = false, EmployeeDesignation = "Representative", EmployeeSalary = 1200, ExperienceInMonth = 10, EmployeeDOB = DateTime.Now, EmployeeGender = "Male" };
            this.Add(b);
            b = new BusinessObjects() { EmployeeId = 1017, EmployeeName = "Dhileep Venkatesh", EmployeeAge = 22, EmployeeArea = "UK", EmployeeStatus = true, EmployeeDesignation = "Test Engineer", EmployeeSalary = 1200, ExperienceInMonth = 10, EmployeeDOB = DateTime.Now, EmployeeGender = "Male" };
            this.Add(b);
            b = new BusinessObjects() { EmployeeId = 1018, EmployeeName = "Mary Alexender", EmployeeAge = 22, EmployeeArea = "UK", EmployeeStatus = true, EmployeeDesignation = "Co-Ordinator", EmployeeSalary = 1200, ExperienceInMonth = 10, EmployeeDOB = DateTime.Now, EmployeeGender = "Female" };
            this.Add(b);
            b = new BusinessObjects() { EmployeeId = 1019, EmployeeName = "Bob Gally", EmployeeAge = 21, EmployeeArea = "India", EmployeeStatus = false, EmployeeDesignation = "Human Resource", EmployeeSalary = 1200, ExperienceInMonth = 10, EmployeeDOB = DateTime.Now, EmployeeGender = "Male" };
            this.Add(b);
            b = new BusinessObjects() { EmployeeId = 1020, EmployeeName = "Amy Christain", EmployeeAge = 20, EmployeeArea = "India", EmployeeStatus = true, EmployeeDesignation = "Senior Architect ", EmployeeSalary = 1200, ExperienceInMonth = 10, EmployeeDOB = DateTime.Now, EmployeeGender = "Male" };
            this.Add(b);
            b = new BusinessObjects() { EmployeeId = 1021, EmployeeName = "Hema", EmployeeAge = 22, EmployeeArea = "USA", EmployeeStatus = false, EmployeeDesignation = "Product Manager", EmployeeSalary = 1200, ExperienceInMonth = 10, EmployeeDOB = DateTime.Now, EmployeeGender = "Male" };
            this.Add(b);
            b = new BusinessObjects() { EmployeeId = 1022, EmployeeName = "Julie Albert", EmployeeAge = 21, EmployeeArea = "UK", EmployeeStatus = true, EmployeeDesignation = "Junior Architect", EmployeeSalary = 1200, ExperienceInMonth = 10, EmployeeDOB = DateTime.Now, EmployeeGender = "Female" };
            this.Add(b);
            b = new BusinessObjects() { EmployeeId = 1023, EmployeeName = "Mahendra Gupta", EmployeeAge = 20, EmployeeArea = "UAE", EmployeeStatus = false, EmployeeDesignation = "Team Lead", EmployeeSalary = 1200, ExperienceInMonth = 10, EmployeeDOB = DateTime.Now, EmployeeGender = "Male" };
            this.Add(b);
            b = new BusinessObjects() { EmployeeId = 1024, EmployeeName = "Ben Thompson", EmployeeAge = 20, EmployeeArea = "USA", EmployeeStatus = true, EmployeeDesignation = "Genreral Manager", EmployeeSalary = 1200, ExperienceInMonth = 10, EmployeeDOB = DateTime.Now, EmployeeGender = "Male" };
            this.Add(b);
            b = new BusinessObjects() { EmployeeId = 1025, EmployeeName = "Sindhya", EmployeeAge = 20, EmployeeArea = "India", EmployeeStatus = true, EmployeeDesignation = "Senior Architect ", EmployeeSalary = 1200, ExperienceInMonth = 10, EmployeeDOB = DateTime.Now, EmployeeGender = "Female" };
            this.Add(b);
        }
    }

   
}
